%define firetools /usr/lib/firetools

Summary: Firejail graphical user interface
Name: firetools
Version: 0.9.72
Release: %mkrel 1
License: GPL+
Group: File tools
Source: %{name}-%{version}.tar.xz
Patch0: mainwindow.cpp.patch
URL: http://firejail.sourceforege.net
Requires: firejail
Requires: lib64qt5svg5
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5svg-devel

%description
Firetools is the graphical user interface of Firejail.
Firejail is a SUID sandbox program that reduces the risk of security breaches
by restricting the running environment of untrusted applications using Linux
namespaces, seccomp-bpf and Linux capabilities. It allows a process and all
its descendants to have their  own  private view of the globally  shared  kernel
resources, such as the network stack, process table, mount table.  Firejail can
work in a SELinux or AppArmor environment, and it is integrated with Linux
Control Groups.

%prep
%setup -q
%apply_patches

%build
./configure --prefix=/usr
%make


%install
rm -rf $RPM_BUILD_ROOT
%make_install
rm -rf $RPM_BUILD_ROOT/%{_docdir}/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
  

%files
%defattr(-,root,root,-)
%doc COPYING README RELNOTES
%{_bindir}/*
%{_mandir}/*
%{_datadir}/applications/firetools.desktop
%{_datadir}/applications/firejail-ui.desktop
%{_datadir}/pixmaps/firetools.png
%{_datadir}/pixmaps/firejail-ui.png
%{_datadir}/pixmaps/firetools-minimal.png
%firetools


%changelog
* Thu Jan 26 2023 tex - 0.9.72-1pclos2023
- new version

* Sun Jan 17 2021 tex - 0.9.64-1pclos2021
- new version

* Mon Dec 30 2019 tex - 0.9.62-1pclos2020
- new version
